unit d_Wait;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, Wait,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  wForm: TWaitForm;
  i, j: Integer;
begin
  try
    wForm:= WaitBegin('   ProgressBar.',
                      '...', [wfProgressBar, wfCancelButton]);
    j:= 10000;
    wForm.SetProgressBounds(0, j);
    for i:= 0 to j do
    begin
      wForm.SetProgressPos(i);
      wForm.SetWaitLabelText('   ProgressBar.' + #13 +
                             'i = ' + IntToStr(i));
      Application.ProcessMessages;
      if wForm.Aborted then Abort;
    end;
  finally
    wForm.WaitEnd;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  wForm: TWaitForm;
  i, j: Integer;

begin
  try
    wForm:= WaitBegin('   Animate.',
                      '...', [wfAnimate, wfCancelButton]);
    j:= 1000000;
    for i:= 0 to j do
    begin
      Application.ProcessMessages;
      if wForm.Aborted then Abort;
    end;
  finally
    wForm.WaitEnd;
  end;
end;

end.
